Bug 28394 - Improve style of patron category entry form
Summary: Improve style of patron category entry form
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-19 16:09 UTC by Owen Leonard
Modified: 2021-07-30 16:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28394: Improve style of patron category entry form (7.84 KB, patch)
2021-05-19 17:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28394: Improve style of patron category entry form (7.90 KB, patch)
2021-05-19 21:39 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28394: Improve style of patron category entry form (7.94 KB, patch)
2021-07-23 14:45 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-05-19 16:09:25 UTC
There are some issues with alignment, padding, and other styles that I'd like to correct on admin/categories.tt
Comment 1 Owen Leonard 2021-05-19 17:46:13 UTC
Created attachment 121191 [details] [review]
Bug 28394: Improve style of patron category entry form

This patch makes some style and structure changes to the patron
cartegory entry form:

- Margin added to the enrollment period fieldset so that it aligns with
  the rest of the form.
- Informational text inside the form wrapped in <div class="hint"> like
  it is on other pages.
- Converted heading tag to legend tag in the messaging preferences
  fieldset.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Go to Administration -> Patron categories -> New category and confirm
that the style updates look good.
Comment 2 Lucas Gass 2021-05-19 21:39:19 UTC
Created attachment 121202 [details] [review]
Bug 28394: Improve style of patron category entry form

This patch makes some style and structure changes to the patron
cartegory entry form:

- Margin added to the enrollment period fieldset so that it aligns with
  the rest of the form.
- Informational text inside the form wrapped in <div class="hint"> like
  it is on other pages.
- Converted heading tag to legend tag in the messaging preferences
  fieldset.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Go to Administration -> Patron categories -> New category and confirm
that the style updates look good.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2021-05-19 21:40:17 UTC
Very nice improvements!
Looks good on all screen sizes (all screen sizes that I test at least)
Comment 4 Nick Clemens 2021-07-23 14:45:08 UTC
Created attachment 123135 [details] [review]
Bug 28394: Improve style of patron category entry form

This patch makes some style and structure changes to the patron
cartegory entry form:

- Margin added to the enrollment period fieldset so that it aligns with
  the rest of the form.
- Informational text inside the form wrapped in <div class="hint"> like
  it is on other pages.
- Converted heading tag to legend tag in the messaging preferences
  fieldset.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Go to Administration -> Patron categories -> New category and confirm
that the style updates look good.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-07-26 10:47:49 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-30 16:15:51 UTC
Enhancement not backported for 21.05